<template lang="pug">
  nav.layouts__nav(:style="`background-color:${bgColor};${positionStyles}`")
    slot
  
</template>

<script>
export default {
  name: "LNav",
  props: {
    bgColor: {
      type: String,
      default: 'transparent'
    },
    positionStyles: {
      type: String,
      default: 'left:0;right:0'
    }
  }
}
</script>